## org.hibernate
Class AnnotationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.MappingException
                          org.hibernate.AnnotationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RecoverableException

    public class AnnotationException

extends MappingException

Annotation related exception. The EJB3 EG will probably set a generic exception. I'll then use this one.

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`AnnotationException(String s)`
`AnnotationException(String msg, Throwable root)`
`AnnotationException(Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationException

    public AnnotationException(String msg,
                               Throwable root)

### AnnotationException

    public AnnotationException(Throwable root)

### AnnotationException

    public AnnotationException(String s)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.